> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Show Payment Method

> Show Order payment method



## OpenAPI

````yaml openapi/ecommerce.yaml get /public/{user_id}/orders/{publicOrder}/payment-method
openapi: 3.0.1
info:
  title: Ecommerce API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/ecommerce
security:
  - bearerAuth: []
tags:
  - name: User
    description: ''
  - name: Cart
    description: ''
  - name: Stripe
    description: ''
  - name: Address
    description: ''
  - name: Gateway
    description: ''
  - name: Invoice
    description: ''
  - name: Order
    description: ''
  - name: Payment
    description: ''
  - name: Product
    description: ''
  - name: Subscription
    description: ''
  - name: Customer
    description: ''
  - name: Projection
    description: ''
  - name: Stripe EU
    description: ''
  - name: Vat
    description: ''
  - name: Legal
    description: ''
paths:
  /public/{user_id}/orders/{publicOrder}/payment-method:
    get:
      tags:
        - Order
      summary: Show Payment Method
      description: Show Order payment method
      operationId: showPaymentMethod
      parameters:
        - name: user_id
          in: path
          description: The ID of the user.
          required: true
          schema:
            type: string
          example: repellendus
        - name: publicOrder
          in: path
          description: ''
          required: true
          schema:
            type: string
          example: officia
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      uuid:
                        type: string
                        example: 73801a80-347b-3f96-af24-3aec01acbf4c
                      type:
                        type: string
                        example: card
                      is_default:
                        type: boolean
                        example: false
                      details:
                        type: object
                        properties:
                          card_brand:
                            type: string
                            example: mastercard
                          card_last_four:
                            type: string
                            example: '4444'
                          card_expiry_month:
                            type: integer
                            example: 4
                          card_expiry_year:
                            type: integer
                            example: 2044
                example:
                  data:
                    uuid: 73801a80-347b-3f96-af24-3aec01acbf4c
                    type: card
                    is_default: false
                    details:
                      card_brand: mastercard
                      card_last_four: '4444'
                      card_expiry_month: 4
                      card_expiry_year: 2044
              example:
                data:
                  uuid: 73801a80-347b-3f96-af24-3aec01acbf4c
                  type: card
                  is_default: false
                  details:
                    card_brand: mastercard
                    card_last_four: '4444'
                    card_expiry_month: 4
                    card_expiry_year: 2044
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````